package de.intevation.flys.client.client.ui.sq;

import com.smartgwt.client.widgets.Canvas;
import com.smartgwt.client.widgets.events.ResizedEvent;
import com.smartgwt.client.widgets.events.ResizedHandler;

import de.intevation.flys.client.client.ui.MultiPeriodPanel;


/**
 * This UIProvider creates helper panel for sq relation.
 *
 * @author <a href="mailto:raimund.renkert@intevation.de">Raimund Renkert</a>
 */
public class SQMultiPeriodPanel extends MultiPeriodPanel implements
    ResizedHandler {
    protected SQCampaignChart chartContainer;

    public SQMultiPeriodPanel() {
    }

    @Override
    protected Canvas createHelper() {
        chartContainer = new SQCampaignChart(artifact, this);
        return chartContainer;
    }

    @Override
    public void onResized(ResizedEvent re) {
        chartContainer.update();
    }
}
